%define pkgname		libglade
%define api_version	2.0
%define api_major_version 2
%define lib_major	0
%define lib_name	%mklibname glade %{api_version} %{lib_major}

Summary:	Library for dynamically loading GLADE interface files
Name:		%{pkgname}%{api_version}
Version:	2.6.4
Release:	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnome.org
Source0:	https://download.gnome.org/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
Patch0:		libglade-2.0.1-nowarning.patch
BuildConflicts:	libglade0-devel < 0.17
BuildRequires:	autoconf
BuildRequires:	pkgconfig(atk) >= 1.9.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.10.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.5.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.10
BuildRequires:	python >= 2.0

%description
%{pkgname} allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.


%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description -n %{lib_name}
%{pkgname} allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.


%package -n %{lib_name}-devel
Summary:	Libraries, includes, etc to develop libglade applications
Group:		Development/Libraries
Conflicts:	libglade0-devel < 0.17
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{pkgname}%{api_major_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires(post):     sgml-common
Requires(postun):     sgml-common


%description -n %{lib_name}-devel
%{pkgname} allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

This package contains static libraries, include files, etc so that
you can use to develop %{pkgname} applications.


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .warnings

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

# install test program
sh ./libtool --mode=install %{_bindir}/install test-libglade %{buildroot}%{_bindir}/test-libglade

mkdir -p %{buildroot}%{_libdir}/libglade/%{api_version}

%clean
rm -rf %{buildroot}

%post -n %{lib_name}-devel
CATALOG=/etc/xml/catalog
%{_bindir}/xmlcatalog --noout --add "system" \
		"http://glade.gnome.org/glade-2.0.dtd" \
		%{_datadir}/xml/libglade/glade-2.0.dtd $CATALOG || true

%postun -n %{lib_name}-devel
# Do not remove if upgrade
if [ "$1" = "0" ]; then
 CATALOG=/etc/xml/catalog
 if [ -f $CATALOG -a -x %{_bindir}/xmlcatalog ]; then 
  %{_bindir}/xmlcatalog --noout --del \
         	%{_datadir}/xml/libglade/glade-2.0.dtd $CATALOG || true
 fi
fi

%files -n %{lib_name}
%defattr(-, root, root)
%doc README ChangeLog
%{_libdir}/lib*.so.*
%dir %{_libdir}/libglade
%dir %{_libdir}/libglade/%{api_version}

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc AUTHORS examples
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/*
%{_datadir}/xml/libglade
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog
* Sat Apr 07 2018 tex - 2.6.4-4pclos2018
- rebuild against updates

* Fri Aug 22 2014 bb <bb> 2.6.4-3pclos2014
- update for new directfb
